#	Part of CBA-DE
#
#   Version: 2014-06-20
#   Author: Frédéric Grelot
#	Licence: GNU General Public License

calculate.NPV = function(impact, period, cost, calendar, ...) {
	benefit = calculate.benefit(apply(impact, 2, sum), period)

	return(sum(t(t(calendar) * c(benefit, - cost)) * 
		discount.weight(as.numeric(rownames(calendar)))))
#		discount.weight(as.numeric(rownames(calendar)), rate="constant", value=.025)))
}


