#	Part of CBA-DE
#
#   Version: 2017-09-29
#   Author: Frédéric Grelot
#	Licence: GNU General Public License

check.N = function() {
	if("N" %in% ls(env = .GlobalEnv)) {
		N = suppressWarnings(as.integer(unlist(N)[1]))
		if(!is.na(N) && N < 1000 && N != 1) {
			N = as.integer(1000)
			cat("N trop petit, modifié à la valeur 1000\n")
		}
		assign("N", N, env = .GlobalEnv)
	}
	while(!("N" %in% ls(env = .GlobalEnv)) || is.na(N)) {
		msg = "Merci de préciser la taille désirée pour l'échantillon\n(N=1 pour ne pas faire d'analyse d'incertitude sinon N > 1000)\nN="
		N = suppressWarnings(as.integer(readline(msg)))
		if(is.na(N)) {
			cat("N doit être un entier\n")
		} else {
			if(N < 1000 & N != 1) {
				N = as.integer(1000)
				cat("N trop petit, modifié à la valeur 1000\n")
			}
			assign("N", N, env = .GlobalEnv)
		}
	}
}
