#	Part of CBA-DE
#
#   Version: 2014-06-20
#   Author: Frédéric Grelot
#	Licence: GNU General Public License

check.column = function(X) {
	x = try(get(paste(X, ".COL", sep="")), silent=TRUE)
	if(class(x) == "try-error") return()
	
	col.missing = x[!(x %in% colnames(get(X)))]
	if(length(col.missing) > 0) {
		msg = sprintf("Pb avec le fichier '%s' dans '%s':",	X, 
			path.data.case)
		msg = paste(msg,
			sprintf("\t- Mauvais format ou colonne(s) %s manquante(s)",
			paste("'", col.missing, "'", sep="", collapse=", ")), 
			sep="\n")
		write(msg, file=LOG, append=TRUE)
		stop(msg, call. = FALSE)
	}
}
