#	Part of CBA-DE
#
#   Version: 2014-06-20
#   Author: Frédéric Grelot
#	Licence: GNU General Public License

check.global = function() {
	fun = function(x) {
		if(!(x %in% ls(env=.GlobalEnv)))
			assign(x, global[[x]], env=.GlobalEnv)
	}
	
	global = read.csv2(file.path(path.structure, "GLOBAL.csv"), 
		stringsAsFactors=FALSE)
	invisible(lapply(names(global), fun))
}
