#	Part of CBA-DE
#
#   Version: 2014-06-20
#   Author: Frédéric Grelot
#	Licence: GNU General Public License

draw.all.parameter = function(N, base, flood = FLOOD, cost = COST, impact = IMPACT) {
	period = draw.parameter(flood[, grep("period", colnames(flood))], N)
	cost = draw.parameter(cost, N)
	hydraulic = draw.parameter(flood[, grep("hydraulic", colnames(flood))], N)
	impact = draw.parameter(cbind(1, impact[c("min", "max", "type")]), N)

	rbind(base, cbind(cost, period, hydraulic, impact))
}
