#	Part of CBA-DE
#
#   Version: 2014-06-20
#   Author: Frédéric Grelot
#	Licence: GNU General Public License

check.data = function(X = DATA) {
	data.missing = X[!(X %in% ls(envir = .GlobalEnv))]
	if(length(data.missing) > 0) {
		msg = sprintf("Il manque le(s) fichier(s) %s dans '%s'",
			paste(data.missing, collapse=", "), path.data.case)
		write(msg, file=LOG, append=TRUE)
		stop(msg, call. = FALSE)
	}
}
