#	Part of CBA-DE
#
#   Version: 2014-06-20
#   Author: Frédéric Grelot
#	Licence: GNU General Public License

plot.sobol = function(S, cost, flood, impact) {

	pdf(file.path(path.output.case, "plot.sobol.pdf"))
	par(mar=c(5,10,2,2)+01)

	color = c(rep("green",cost), rep("orange", flood),
		rep("blue", flood), rep("red", impact))
	
	o = order(S$original)
	s = S[o,]
	color = color[o]
	xlim = if(max(s$original > .49)) c(0,1) else c(0,.5)
	barplot(s$original, names.arg=rownames(s), horiz=TRUE, las=1, col=color,
		xlim=xlim)
	dev.off()
}
