#	Part of CBA-DE
#
#   Version: 2014-06-20
#   Author: Frédéric Grelot
#	Licence: GNU General Public License

source.data = function(x, check=TRUE)
{
	fun = function(x, path) {
		assign(toupper(corename(x)), 
			read.csv2(file.path(path, x), row.names=1), 
			envir=.GlobalEnv)
	}
	
	lapply(dir(x), fun, path=x)
	
	if(check) {
		check.data()
		lapply(DATA, check.column)
		lapply(DATA, check.row)
	}
}

